# This file created by conda-build 3.16.2
# meta.yaml template originally from:
# C:\ci\containers\00000fiuksg\tmp\build\80754af9\rsync-recipes\pycryptodome-3.7.0-c_compiler_vs2017-python_3.7-on-winbuilder, last modified Wed Oct 31 15:38:20 2018
# ------------------------------------------------

package:
    name: pycryptodome
    version: 3.7.0
source:
    patches:
        - 0001-Make-load_lib-CONDA_PREFIX-aware.patch
    sha256: 4444a26fc3830c0d438bca6975ff10d1eb9c0b88f747fdc25b5ab81fb46713d7
    url: https://pypi.io/packages/source/p/pycryptodome/pycryptodome-3.7.0.tar.gz
build:
    number: '0'
    script: 'C:\ci\pycryptodome_1541018658509\_h_env\python.exe -m pip install . --no-deps
        --ignore-installed --no-cache-dir -vvv '
    string: py37he774522_0
requirements:
    build:
        - vs2017_win-64 19.15.26726 h3c6f0ee_0
    host:
        - certifi 2018.10.15 py37_0
        - pip 10.0.1 py37_0
        - python 3.7.1 h33f27b4_4
        - setuptools 40.4.3 py37_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.15.26706 h3a45250_0
        - wheel 0.32.2 py37_0
        - wincertstore 0.2 py37_0
    run:
        - python >=3.7,<3.8.0a0
        - vc >=14.1,<15.0a0
test:
    imports:
        - Crypto
        - Crypto.Cipher
        - Crypto.Hash
        - Crypto.IO
        - Crypto.Math
        - Crypto.Protocol
        - Crypto.PublicKey
        - Crypto.Random
        - Crypto.SelfTest
        - Crypto.SelfTest.Cipher
        - Crypto.SelfTest.Hash
        - Crypto.SelfTest.IO
        - Crypto.SelfTest.Math
        - Crypto.SelfTest.Protocol
        - Crypto.SelfTest.PublicKey
        - Crypto.SelfTest.Random
        - Crypto.SelfTest.Signature
        - Crypto.SelfTest.Util
        - Crypto.Signature
        - Crypto.Util
about:
    dev_url: https://github.com/Legrandin/pycryptodome
    doc_url: https://www.pycryptodome.org/en/latest/
    home: http://www.pycryptodome.org
    license: BSD
    license_family: BSD
    license_file: LICENSE.rst
    summary: Cryptographic library for Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - mariusvniekerk
